Subject: Re: [PATCH v7 2/3] net: qrtr: support suspend/hibernation

From: Kalle Valo <[email-masked]>
Date: Fri, 05 Apr 2024 16:27:35 +0300

Hi netdev maintainers,

Baochen Qiang <[email-masked]> writes:

> MHI devices may not be destroyed during suspend/hibernation, so need
> to unprepare/prepare MHI channels throughout the transition, this is
> done by adding suspend/resume callbacks.
>
> The suspend callback is called in the late suspend stage, this means
> MHI channels are still alive at suspend stage, and that makes it
> possible for an MHI controller driver to communicate with others over
> those channels at suspend stage. While the resume callback is called
> in the early resume stage, for a similar reason.
>
> Also note that we won't do unprepare/prepare when MHI device is in
> suspend state because it's pointless if MHI is only meant to go through
> a suspend/resume transition, instead of a complete power cycle.
>
> Tested-on: WCN6855 hw2.0 PCI
> WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.30
>
> Signed-off-by: Baochen Qiang <[email-masked]>
> Reviewed-by: Manivannan Sadhasivam <[email-masked]>
> Reviewed-by: Jeff Johnson <[email-masked]>

Could I take this patch via ath.git tree? Full patch here (same patch
but links to both patchwork projects):

https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

I ask because we need it to get hibernation working on ath11k (and ath12k):

https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

Kalle